table:
  name: solves
  schema: challenges
object_relationships:
  - name: challenge
    using:
      manual_configuration:
        column_mapping:
          challenge_id: challenge_id
          event_id: event_id
        insertion_order: null
        remote_table:
          name: active
          schema: challenges
  - name: event
    using:
      manual_configuration:
        column_mapping:
          event_id: id
        insertion_order: null
        remote_table:
          name: events
          schema: public
  - name: team
    using:
      manual_configuration:
        column_mapping:
          team_id: id
        insertion_order: null
        remote_table:
          name: teams
          schema: public
remote_relationships:
  - definition:
      to_remote_schema:
        lhs_fields:
          - submitter_id
        remote_field:
          c2games_user_by_pk:
            arguments:
              id: $submitter_id
        remote_schema: keycloak
    name: submitter
select_permissions:
  - role: _ctf_admin
    permission:
      columns:
        - submitter_id
        - time
        - challenge_id
        - event_id
        - team_id
      filter: {}
      allow_aggregations: true
  - role: _participant
    permission:
      columns:
        - submitter_id
        - time
        - challenge_id
        - event_id
        - team_id
      filter: {}
      allow_aggregations: true
  - role: _snapshot_service
    permission:
      columns:
        - time
        - challenge_id
        - event_id
        - submitter_id
        - team_id
      filter: {}
      allow_aggregations: true
    comment: ""
  - role: _staff
    permission:
      columns:
        - submitter_id
        - time
        - challenge_id
        - event_id
        - team_id
      filter: {}
      allow_aggregations: true
  - role: anonymous
    permission:
      columns:
        - challenge_id
        - event_id
        - submitter_id
        - team_id
        - time
      filter: {}
